%define anolis_release 2
Name:     inih
Version:  56
Release:  %{anolis_release}%{?dist}
Summary:  Simple INI file parser library

License:  BSD
URL:      https://github.com/benhoyt/inih
Source0:  %{url}/archive/r%{version}/%{name}-r%{version}.tar.gz

BuildRequires: gcc
BuildRequires: g++
BuildRequires: meson


%description
The inih package provides simple INI file parser which is only a couple of
pages of code, and it was designed to be small and simple, so it's good for
embedded systems.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary:  Development package for %{name}
Requires: %{name} = %{version}-%{release}


%description devel
This package contains development files for %{name}.

The inih package provides simple INI file parser which is only a couple of
pages of code, and it was designed to be small and simple, so it's good for
embedded systems.


%prep
%autosetup -n %{name}-r%{version}


%build
%meson -Ddefault_library=shared -Ddistro_install=true
%meson_build


%install
%meson_install

%generate_compatibility_deps

%files
%dir %{abidir}
%license LICENSE.txt
%{_libdir}/lib%{name}.so.0
%{_libdir}/libINIReader.so.0
%{abidir}/*.dump

%files doc
%doc README.md

%files devel
%{_includedir}/ini.h
%{_includedir}/INIReader.h
%{_libdir}/pkgconfig/inih.pc
%{_libdir}/pkgconfig/INIReader.pc
%{_libdir}/lib%{name}.so
%{_libdir}/libINIReader.so

%changelog
* Mon Feb 13 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 56-2
- optimize spec file

* Thu Sep 22 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 56-1
- update to 56

* Wed Mar 23 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 49-1
- init from upstream
